Subject: Problem with Madison Park Dawn Fabric Shower Curtain
From: "[email-masked]" <[email-masked]>
To: info <[email-masked]>
Date: Sat, 18 Oct 2025 19:04:22 +0000

Hello. I washed this shower curtain for the first time and the lace fell apart where it was joined together. I am requesting a replacement.

I like the shower curtain quite a bit. I am just worried about quality. I will be happy to return the damaged item. I understand it is past the return window but due to not having washed it it was impossible to know how it would hold up.

Pictures are attached.

Purchased through Amazon

Purchased July 23, 2025

Cost: $22

Order 111-2514696-9280205